/*! © 2026 Yahoo, Inc. UDS v0.0.0-development */
import { configToBottomSheetConfigContext } from "./bottomSheetConfig.js";
import { configToBreakpointsConfigContext } from "./breakpointsConfig.js";
import { configToPopoverConfigContext } from "./popoverConfig.js";
import { configToToastConfigContext } from "./toastConfig.js";
import { configToTooltipConfigContext } from "./tooltipConfig.js";

//#region src/runtime/udsConfig.ts
const configToUDSConfigContext = (config) => {
	return {
		bottomSheet: configToBottomSheetConfigContext(config),
		breakpoints: configToBreakpointsConfigContext(config),
		toast: configToToastConfigContext(config),
		tooltip: configToTooltipConfigContext(config),
		popover: configToPopoverConfigContext(config)
	};
};

//#endregion
export { configToUDSConfigContext };